/*!
 * Dynamsoft JavaScript Library
 * @product Dynamsoft Core JS Edition
 * @website https://www.dynamsoft.com
 * @copyright Copyright 2024, Dynamsoft Corporation
 * @author Dynamsoft
 * @version 3.4.21
 * @fileoverview Dynamsoft JavaScript Library for Core
 * More info on Dynamsoft Core JS: https://www.dynamsoft.com/capture-vision/docs/web/programming/javascript/api-reference/core/core-module.html
 */
!function(e,E){"object"==typeof exports&&"undefined"!=typeof module?E(exports):"function"==typeof define&&define.amd?define(["exports"],E):E(((e="undefined"!=typeof globalThis?globalThis:e||self).Dynamsoft=e.Dynamsoft||{},e.Dynamsoft.Core={}))}(this,(function(e){"use strict";function E(e,E,_,t){if("a"===_&&!t)throw new TypeError("Private accessor was defined without a getter");if("function"==typeof E?e!==E||!t:!E.has(e))throw new TypeError("Cannot read private member from an object whose class did not declare it");return"m"===_?t:"a"===_?t.call(e):t?t.value:E.get(e)}function _(e,E,_,t,I){if("m"===t)throw new TypeError("Private method is not writable");if("a"===t&&!I)throw new TypeError("Private accessor was defined without a setter");if("function"==typeof E?e!==E||!I:!E.has(e))throw new TypeError("Cannot write private member to an object whose class did not declare it");return"a"===t?I.call(e,_):I?I.value=_:E.set(e,_),_}var t,I,r;"function"==typeof SuppressedError&&SuppressedError,e.EnumBufferOverflowProtectionMode=void 0,(t=e.EnumBufferOverflowProtectionMode||(e.EnumBufferOverflowProtectionMode={}))[t.BOPM_BLOCK=0]="BOPM_BLOCK",t[t.BOPM_UPDATE=1]="BOPM_UPDATE",e.EnumColourChannelUsageType=void 0,(I=e.EnumColourChannelUsageType||(e.EnumColourChannelUsageType={}))[I.CCUT_AUTO=0]="CCUT_AUTO",I[I.CCUT_FULL_CHANNEL=1]="CCUT_FULL_CHANNEL",I[I.CCUT_Y_CHANNEL_ONLY=2]="CCUT_Y_CHANNEL_ONLY",I[I.CCUT_RGB_R_CHANNEL_ONLY=3]="CCUT_RGB_R_CHANNEL_ONLY",I[I.CCUT_RGB_G_CHANNEL_ONLY=4]="CCUT_RGB_G_CHANNEL_ONLY",I[I.CCUT_RGB_B_CHANNEL_ONLY=5]="CCUT_RGB_B_CHANNEL_ONLY",e.EnumImagePixelFormat=void 0,(r=e.EnumImagePixelFormat||(e.EnumImagePixelFormat={}))[r.IPF_BINARY=0]="IPF_BINARY",r[r.IPF_BINARYINVERTED=1]="IPF_BINARYINVERTED",r[r.IPF_GRAYSCALED=2]="IPF_GRAYSCALED",r[r.IPF_NV21=3]="IPF_NV21",r[r.IPF_RGB_565=4]="IPF_RGB_565",r[r.IPF_RGB_555=5]="IPF_RGB_555",r[r.IPF_RGB_888=6]="IPF_RGB_888",r[r.IPF_ARGB_8888=7]="IPF_ARGB_8888",r[r.IPF_RGB_161616=8]="IPF_RGB_161616",r[r.IPF_ARGB_16161616=9]="IPF_ARGB_16161616",r[r.IPF_ABGR_8888=10]="IPF_ABGR_8888",r[r.IPF_ABGR_16161616=11]="IPF_ABGR_16161616",r[r.IPF_BGR_888=12]="IPF_BGR_888",r[r.IPF_BINARY_8=13]="IPF_BINARY_8",r[r.IPF_NV12=14]="IPF_NV12",r[r.IPF_BINARY_8_INVERTED=15]="IPF_BINARY_8_INVERTED";const n="undefined"==typeof self,o=(()=>{if(!n&&document.currentScript){let e=document.currentScript.src,E=e.indexOf("?");if(-1!=E)e=e.substring(0,E);else{let E=e.indexOf("#");-1!=E&&(e=e.substring(0,E))}return e.substring(0,e.lastIndexOf("/")+1)}return"./"})(),a=e=>{if(null==e&&(e="./"),n);else{let E=document.createElement("a");E.href=e,e=E.href}return e.endsWith("/")||(e+="/"),e},s=e=>Object.prototype.toString.call(e),i=e=>Array.isArray?Array.isArray(e):"[object Array]"===s(e),C=e=>"[object Boolean]"===s(e),A=e=>"number"==typeof e&&!Number.isNaN(e),T=e=>null!==e&&"object"==typeof e&&!Array.isArray(e),N=e=>!!T(e)&&(!!A(e.x)&&(!!A(e.y)&&(!!A(e.radius)&&(!(e.radius<0)&&(!!A(e.startAngle)&&!!A(e.endAngle)))))),R=e=>!!T(e)&&(!!i(e.points)&&(0!=e.points.length&&!e.points.some((e=>!m(e))))),L=e=>!!T(e)&&(e.bytes instanceof Uint8Array&&(!!A(e.width)&&(!(e.width<=0)&&(!!A(e.height)&&(!(e.height<=0)&&(!!A(e.stride)&&(!(e.stride<=0)&&("format"in e&&!("tag"in e&&!O(e.tag)))))))))),D=e=>!!T(e)&&(!!A(e.left)&&(!(e.left<0)&&(!!A(e.top)&&(!(e.top<0)&&(!!A(e.right)&&(!(e.right<0)&&(!!A(e.bottom)&&(!(e.bottom<0)&&(!(e.left>=e.right)&&(!(e.top>=e.bottom)&&!!C(e.isMeasuredInPercentage))))))))))),O=e=>!!T(e)&&(!!A(e.imageId)&&"type"in e),l=e=>!!T(e)&&(!!m(e.startPoint)&&(!!m(e.endPoint)&&(e.startPoint.x!=e.endPoint.x||e.startPoint.y!=e.endPoint.y))),m=e=>!!T(e)&&(!!A(e.x)&&!!A(e.y)),c=e=>!!T(e)&&(!!i(e.points)&&(0!=e.points.length&&!e.points.some((e=>!m(e))))),u=e=>!!T(e)&&(!!i(e.points)&&(0!=e.points.length&&4==e.points.length&&!e.points.some((e=>!m(e))))),g=e=>!!T(e)&&(!!A(e.x)&&(!!A(e.y)&&(!!A(e.width)&&(!(e.width<0)&&(!!A(e.height)&&(!(e.height<0)&&!("isMeasuredInPercentage"in e&&!C(e.isMeasuredInPercentage))))))));const S=(e,E)=>{const _={};for(let t in E){const I=t;let r=e[I];r&&"string"!=typeof r&&r.path&&(r=r.path),e.rootDirectory&&!e.rootDirectory.endsWith("/")&&(e.rootDirectory=e.rootDirectory+"/"),void 0===r?e.rootDirectory?r=`${e.rootDirectory}${P[I]}@${E[I].version}/dist/`:(r=E[I].path,r||(r=E[I])):r.startsWith("@engineRootDirectory/")&&(r=r.replace("@engineRootDirectory/",e.rootDirectory)),_[I]=a(r)}return _},P={std:"dynamsoft-capture-vision-std",dip:"dynamsoft-image-processing",core:"dynamsoft-core",dnn:"dynamsoft-capture-vision-dnn",license:"dynamsoft-license",utility:"dynamsoft-utility",cvr:"dynamsoft-capture-vision-router",dbr:"dynamsoft-barcode-reader",dlr:"dynamsoft-label-recognizer",ddn:"dynamsoft-document-normalizer",dcp:"dynamsoft-code-parser",dcpd:"dynamsoft-code-parser",dlrData:"dynamsoft-label-recognizer-data",dce:"dynamsoft-camera-enhancer"},d=e=>{L(e)&&(e=F(e));const E=document.createElement("canvas");E.width=e.width,E.height=e.height;return E.getContext("2d",{willReadFrequently:!0}).putImageData(e,0,0),E},f=async(e,E)=>{L(E)&&(E=F(E));const _=d(E);return new Promise(((E,t)=>{_.toBlob((e=>E(e)),e)}))},F=E=>{let _,t=E.bytes;if(!(t&&t instanceof Uint8Array))throw Error("Parameter type error");if(Number(E.format)===e.EnumImagePixelFormat.IPF_BGR_888){const e=t.length/3;_=new Uint8ClampedArray(4*e);for(let E=0;E<e;++E)_[4*E]=t[3*E],_[4*E+1]=t[3*E+1],_[4*E+2]=t[3*E+2],_[4*E+3]=255}else if(Number(E.format)===e.EnumImagePixelFormat.IPF_RGB_888){const e=t.length/3;_=new Uint8ClampedArray(4*e);for(let E=0;E<e;++E)_[4*E]=t[3*E+2],_[4*E+1]=t[3*E+1],_[4*E+2]=t[3*E],_[4*E+3]=255}else if(Number(E.format)===e.EnumImagePixelFormat.IPF_GRAYSCALED){const e=t.length;_=new Uint8ClampedArray(4*e);for(let E=0;E<e;E++)_[4*E]=_[4*E+1]=_[4*E+2]=t[E],_[4*E+3]=255}else if(Number(E.format)===e.EnumImagePixelFormat.IPF_BINARY_8){const e=t.length,I=E.width,r=E.height,n=E.stride;_=new Uint8ClampedArray(I*r*4);for(let E=0;E<e;E++){let e=t[E],r=E%n,o=Math.floor(E/n);for(let E=0;E<8;E++){let t=r+E,n=4*(o*I+t);if(t>=I)break;_[n]=_[n+1]=_[n+2]=(128&e)/128*255,_[n+3]=255,e<<=1}}}else if(Number(E.format)===e.EnumImagePixelFormat.IPF_ABGR_8888){const e=t.length/4;_=new Uint8ClampedArray(t.length);for(let E=0;E<e;++E)_[4*E]=t[4*E],_[4*E+1]=t[4*E+1],_[4*E+2]=t[4*E+2],_[4*E+3]=t[4*E+3]}else if(Number(E.format)===e.EnumImagePixelFormat.IPF_ARGB_8888){const e=t.length/4;_=new Uint8ClampedArray(t.length);for(let E=0;E<e;++E)_[4*E]=t[4*E+2],_[4*E+1]=t[4*E+1],_[4*E+2]=t[4*E],_[4*E+3]=t[4*E+3]}return new ImageData(_,E.width,E.height)};var h,M,G,U,p,y,B,w;class V{get _isFetchingStarted(){return E(this,p,"f")}constructor(){h.add(this),M.set(this,[]),G.set(this,1),U.set(this,e.EnumBufferOverflowProtectionMode.BOPM_BLOCK),p.set(this,!1),y.set(this,void 0),B.set(this,e.EnumColourChannelUsageType.CCUT_AUTO)}setErrorListener(e){}addImageToBuffer(_){var t;if(!L(_))throw new TypeError("Invalid 'image'.");if((null===(t=_.tag)||void 0===t?void 0:t.hasOwnProperty("imageId"))&&"number"==typeof _.tag.imageId&&this.hasImage(_.tag.imageId))throw new Error("Existed imageId.");if(E(this,M,"f").length>=E(this,G,"f"))switch(E(this,U,"f")){case e.EnumBufferOverflowProtectionMode.BOPM_BLOCK:break;case e.EnumBufferOverflowProtectionMode.BOPM_UPDATE:if(E(this,M,"f").push(_),T(E(this,y,"f"))&&A(E(this,y,"f").imageId)&&1==E(this,y,"f").keepInBuffer)for(;E(this,M,"f").length>E(this,G,"f");){const e=E(this,M,"f").findIndex((e=>{var _;return(null===(_=e.tag)||void 0===_?void 0:_.imageId)!==E(this,y,"f").imageId}));E(this,M,"f").splice(e,1)}else E(this,M,"f").splice(0,E(this,M,"f").length-E(this,G,"f"))}else E(this,M,"f").push(_)}getImage(){if(0===E(this,M,"f").length)return null;let _;if(E(this,y,"f")&&A(E(this,y,"f").imageId)){const e=E(this,h,"m",w).call(this,E(this,y,"f").imageId);if(e<0)throw new Error(`Image with id ${E(this,y,"f").imageId} doesn't exist.`);_=E(this,M,"f").slice(e,e+1)[0]}else _=E(this,M,"f").pop();if([e.EnumImagePixelFormat.IPF_RGB_565,e.EnumImagePixelFormat.IPF_RGB_555,e.EnumImagePixelFormat.IPF_RGB_888,e.EnumImagePixelFormat.IPF_ARGB_8888,e.EnumImagePixelFormat.IPF_RGB_161616,e.EnumImagePixelFormat.IPF_ARGB_16161616,e.EnumImagePixelFormat.IPF_ABGR_8888,e.EnumImagePixelFormat.IPF_ABGR_16161616,e.EnumImagePixelFormat.IPF_BGR_888].includes(_.format)){if(E(this,B,"f")===e.EnumColourChannelUsageType.CCUT_RGB_R_CHANNEL_ONLY){V._onLog&&V._onLog("only get R channel data.");const E=new Uint8Array(_.width*_.height);for(let t=0;t<E.length;t++)switch(_.format){case e.EnumImagePixelFormat.IPF_RGB_565:case e.EnumImagePixelFormat.IPF_RGB_555:case e.EnumImagePixelFormat.IPF_RGB_888:case e.EnumImagePixelFormat.IPF_RGB_161616:E[t]=_.bytes[3*t+2];break;case e.EnumImagePixelFormat.IPF_ARGB_8888:case e.EnumImagePixelFormat.IPF_ARGB_16161616:E[t]=_.bytes[4*t+2];break;case e.EnumImagePixelFormat.IPF_BGR_888:E[t]=_.bytes[3*t];break;case e.EnumImagePixelFormat.IPF_ABGR_8888:case e.EnumImagePixelFormat.IPF_ABGR_16161616:E[t]=_.bytes[4*t]}_.bytes=E,_.stride=_.width,_.format=e.EnumImagePixelFormat.IPF_GRAYSCALED}else if(E(this,B,"f")===e.EnumColourChannelUsageType.CCUT_RGB_G_CHANNEL_ONLY){V._onLog&&V._onLog("only get G channel data.");const E=new Uint8Array(_.width*_.height);for(let t=0;t<E.length;t++)switch(_.format){case e.EnumImagePixelFormat.IPF_RGB_565:case e.EnumImagePixelFormat.IPF_RGB_555:case e.EnumImagePixelFormat.IPF_RGB_888:case e.EnumImagePixelFormat.IPF_RGB_161616:case e.EnumImagePixelFormat.IPF_BGR_888:E[t]=_.bytes[3*t+1];break;case e.EnumImagePixelFormat.IPF_ARGB_8888:case e.EnumImagePixelFormat.IPF_ARGB_16161616:case e.EnumImagePixelFormat.IPF_ABGR_8888:case e.EnumImagePixelFormat.IPF_ABGR_16161616:E[t]=_.bytes[4*t+1]}_.bytes=E,_.stride=_.width,_.format=e.EnumImagePixelFormat.IPF_GRAYSCALED}else if(E(this,B,"f")===e.EnumColourChannelUsageType.CCUT_RGB_B_CHANNEL_ONLY){V._onLog&&V._onLog("only get B channel data.");const E=new Uint8Array(_.width*_.height);for(let t=0;t<E.length;t++)switch(_.format){case e.EnumImagePixelFormat.IPF_RGB_565:case e.EnumImagePixelFormat.IPF_RGB_555:case e.EnumImagePixelFormat.IPF_RGB_888:case e.EnumImagePixelFormat.IPF_RGB_161616:E[t]=_.bytes[3*t];break;case e.EnumImagePixelFormat.IPF_ARGB_8888:case e.EnumImagePixelFormat.IPF_ARGB_16161616:E[t]=_.bytes[4*t];break;case e.EnumImagePixelFormat.IPF_BGR_888:E[t]=_.bytes[3*t+2];break;case e.EnumImagePixelFormat.IPF_ABGR_8888:case e.EnumImagePixelFormat.IPF_ABGR_16161616:E[t]=_.bytes[4*t+2]}_.bytes=E,_.stride=_.width,_.format=e.EnumImagePixelFormat.IPF_GRAYSCALED}}else[e.EnumImagePixelFormat.IPF_NV21,e.EnumImagePixelFormat.IPF_NV12].includes(_.format)&&V._onLog&&V._onLog("NV21 or NV12 is not supported.");return _}setNextImageToReturn(e,E){if(!((...e)=>0!==e.length&&e.every((e=>A(e))))(e))throw new TypeError("Invalid 'imageId'.");if(void 0!==E&&!C(E))throw new TypeError("Invalid 'keepInBuffer'.");_(this,y,{imageId:e,keepInBuffer:E},"f")}_resetNextReturnedImage(){_(this,y,null,"f")}hasImage(e){return E(this,h,"m",w).call(this,e)>=0}startFetching(){_(this,p,!0,"f")}stopFetching(){_(this,p,!1,"f")}setMaxImageCount(e){if("number"!=typeof e)throw new TypeError("Invalid 'count'.");if(e<1||Math.round(e)!==e)throw new Error("Invalid 'count'.");for(_(this,G,e,"f");E(this,M,"f")&&E(this,M,"f").length>e;)E(this,M,"f").shift()}getMaxImageCount(){return E(this,G,"f")}getImageCount(){return E(this,M,"f").length}clearBuffer(){E(this,M,"f").length=0}isBufferEmpty(){return 0===E(this,M,"f").length}setBufferOverflowProtectionMode(e){_(this,U,e,"f")}getBufferOverflowProtectionMode(){return E(this,U,"f")}setColourChannelUsageType(e){_(this,B,e,"f")}getColourChannelUsageType(){return E(this,B,"f")}}M=new WeakMap,G=new WeakMap,U=new WeakMap,p=new WeakMap,y=new WeakMap,B=new WeakMap,h=new WeakSet,w=function(e){if("number"!=typeof e)throw new TypeError("Invalid 'imageId'.");return E(this,M,"f").findIndex((E=>{var _;return(null===(_=E.tag)||void 0===_?void 0:_.imageId)===e}))};const b=e=>e&&"object"==typeof e&&"function"==typeof e.then;class v extends Promise{get status(){return this._s}get isPending(){return"pending"===this._s}get isFulfilled(){return"fulfilled"===this._s}get isRejected(){return"rejected"===this._s}get task(){return this._task}set task(e){let E;this._task=e,b(e)?E=e:"function"==typeof e&&(E=new Promise(e)),E&&(async()=>{try{const _=await E;e===this._task&&this.resolve(_)}catch(E){e===this._task&&this.reject(E)}})()}get isEmpty(){return null==this._task}constructor(e){let E,_;super(((e,t)=>{E=e,_=t})),this._s="pending",this.resolve=e=>{this.isPending&&(b(e)?this.task=e:(this._s="fulfilled",E(e)))},this.reject=e=>{this.isPending&&(this._s="rejected",_(e))},this.task=e}}let x,k,Y,H,X;"undefined"!=typeof navigator&&(x=navigator,k=x.userAgent,Y=x.platform,H=x.mediaDevices),function(){if(!n){const e={Edge:{search:"Edg",verSearch:"Edg"},OPR:null,Chrome:null,Safari:{str:x.vendor,search:"Apple",verSearch:["Version","iPhone OS","CPU OS"]},Firefox:null,Explorer:{search:"MSIE",verSearch:"MSIE"}},E={HarmonyOS:null,Android:null,iPhone:null,iPad:null,Windows:{str:Y,search:"Win"},Mac:{str:Y},Linux:{str:Y}};let _="unknownBrowser",t=0,I="unknownOS";for(let E in e){const I=e[E]||{};let r=I.str||k,n=I.search||E,o=I.verStr||k,a=I.verSearch||E;if(a instanceof Array||(a=[a]),-1!=r.indexOf(n)){_=E;for(let e of a){let E=o.indexOf(e);if(-1!=E){t=parseFloat(o.substring(E+e.length+1));break}}break}}for(let e in E){const _=E[e]||{};let t=_.str||k,r=_.search||e;if(-1!=t.indexOf(r)){I=e;break}}"Linux"==I&&-1!=k.indexOf("Windows NT")&&(I="HarmonyOS"),X={browser:_,version:t,OS:I}}n&&(X={browser:"ssr",version:0,OS:"ssr"})}();const Z="undefined"!=typeof WebAssembly&&k&&!(/Safari/.test(k)&&!/Chrome/.test(k)&&/\(.+\s11_2_([2-6]).*\)/.test(k)),W=!("undefined"==typeof Worker),j=!(!H||!H.getUserMedia),K=async()=>{let e=!1;if(j)try{(await H.getUserMedia({video:!0})).getTracks().forEach((e=>{e.stop()})),e=!0}catch(e){}return e};"Chrome"===X.browser&&X.version>66||"Safari"===X.browser&&X.version>13||"OPR"===X.browser&&X.version>43||"Edge"===X.browser&&X.version;const Q={},J=async e=>{let E="string"==typeof e?[e]:e,_=[];for(let e of E)_.push(Q[e]=Q[e]||new v);await Promise.all(_)},$=async(e,E)=>{let _,t="string"==typeof e?[e]:e,I=[];for(let e of t){let t;I.push(t=Q[e]=Q[e]||new v(_=_||E())),t.isEmpty&&(t.task=_=_||E())}await Promise.all(I)};e.worker=void 0;let z=0;const q=()=>z++,ee={};e.onLog=void 0;const Ee=E=>{e.onLog=E,e.worker&&e.worker.postMessage({type:"setBLog",body:{value:!!E}})};e.bDebug=!1;const _e=E=>{e.bDebug=E,e.worker&&e.worker.postMessage({type:"setBDebug",body:{value:!!E}})},te={},Ie={std:{version:"1.4.10",path:a(o+"../../dynamsoft-capture-vision-std@1.4.10/dist/")},core:{version:"3.4.21-beta-202411040411",path:o}},re={dip:{wasm:!0}},ne={},oe=async E=>{let _;E instanceof Array||(E=E?[E]:[]);let t=Q.core;_=!t||t.isEmpty;let I=new Map;const r=e=>{if("std"==(e=e.toLowerCase())||"core"==e)return;if(!re[e])throw Error("The '"+e+"' module cannot be found.");let E=re[e].deps;if(null==E?void 0:E.length)for(let e of E)r(e);let _=Q[e];I.has(e)||I.set(e,!_||_.isEmpty)};for(let e of E)r(e);let n=[];_&&n.push("core"),n.push(...I.keys());const o=[...I.entries()].filter((e=>!e[1])).map((e=>e[0]));await $(n,(async()=>{const E=[...I.entries()].filter((e=>e[1])).map((e=>e[0]));await J(o);const t=S(ne,Ie),r={};for(let e of E)r[e]=re[e];const n={engineResourcePaths:t,autoResources:r,names:E};let a=new v;if(_){n.needLoadCore=!0;let E=t.core+ae._workerName;E.startsWith(location.origin)||(E=await fetch(E).then((e=>e.blob())).then((e=>URL.createObjectURL(e)))),e.worker=new Worker(E),e.worker.onerror=e=>{let E=new Error(e.message);a.reject(E)},e.worker.addEventListener("message",(E=>{let _=E.data?E.data:E,t=_.type,I=_.id,r=_.body;switch(t){case"log":e.onLog&&e.onLog(_.message);break;case"task":try{ee[I](r),delete ee[I]}catch(e){throw delete ee[I],e}break;case"event":try{ee[I](r)}catch(e){throw e}break;default:console.log(E)}})),n.bLog=!!e.onLog,n.bd=e.bDebug,n.dm=location.origin.startsWith("http")?location.origin:"https://localhost"}else await J("core");let s=z++;ee[s]=e=>{if(e.success)Object.assign(te,e.versions),"{}"!==JSON.stringify(e.versions)&&(ae._versions=e.versions),a.resolve(void 0);else{const E=Error(e.message);e.stack&&(E.stack=e.stack),a.reject(E)}},e.worker.postMessage({type:"loadWasm",body:n,id:s}),await a}))};class ae{static get engineResourcePaths(){return ne}static set engineResourcePaths(e){Object.assign(ne,e)}static get bSupportDce4Module(){return this._bSupportDce4Module}static get bSupportIRTModule(){return this._bSupportIRTModule}static get versions(){return this._versions}static get _onLog(){return e.onLog}static set _onLog(e){Ee(e)}static get _bDebug(){return e.bDebug}static set _bDebug(e){_e(e)}static isModuleLoaded(e){return e=(e=e||"core").toLowerCase(),!!Q[e]&&Q[e].isFulfilled}static async loadWasm(e){return await oe(e)}static async detectEnvironment(){return await(async()=>({wasm:Z,worker:W,getUserMedia:j,camera:await K(),browser:X.browser,version:X.version,OS:X.OS}))()}static async getModuleVersion(){return await new Promise(((E,_)=>{let t=q();ee[t]=async e=>{if(e.success)return E(e.versions);{let E=new Error(e.message);return E.stack=e.stack+"\n"+E.stack,_(E)}},e.worker.postMessage({type:"getModuleVersion",id:t})}))}static getVersion(){const e=te.core&&te.core.worker,E=te.core&&te.core.wasm;return`3.4.21-beta-202411040411(Worker: ${e||"Not Loaded"}, Wasm: ${E||"Not Loaded"})`}static enableLogging(){V._onLog=console.log,ae._onLog=console.log}static disableLogging(){V._onLog=null,ae._onLog=null}static async cfd(E){return await new Promise(((_,t)=>{let I=q();ee[I]=async e=>{if(e.success)return _();{let E=new Error(e.message);return E.stack=e.stack+"\n"+E.stack,t(E)}},e.worker.postMessage({type:"cfd",id:I,body:{count:E}})}))}}var se,ie,Ce,Ae,Te,Ne,Re,Le;ae._bSupportDce4Module=-1,ae._bSupportIRTModule=-1,ae._versions=null,ae._workerName="core.worker.js",ae.browserInfo=X,e.EnumCapturedResultItemType=void 0,(se=e.EnumCapturedResultItemType||(e.EnumCapturedResultItemType={}))[se.CRIT_ORIGINAL_IMAGE=1]="CRIT_ORIGINAL_IMAGE",se[se.CRIT_BARCODE=2]="CRIT_BARCODE",se[se.CRIT_TEXT_LINE=4]="CRIT_TEXT_LINE",se[se.CRIT_DETECTED_QUAD=8]="CRIT_DETECTED_QUAD",se[se.CRIT_NORMALIZED_IMAGE=16]="CRIT_NORMALIZED_IMAGE",se[se.CRIT_PARSED_RESULT=32]="CRIT_PARSED_RESULT",e.EnumCornerType=void 0,(ie=e.EnumCornerType||(e.EnumCornerType={}))[ie.CT_NORMAL_INTERSECTED=0]="CT_NORMAL_INTERSECTED",ie[ie.CT_T_INTERSECTED=1]="CT_T_INTERSECTED",ie[ie.CT_CROSS_INTERSECTED=2]="CT_CROSS_INTERSECTED",ie[ie.CT_NOT_INTERSECTED=3]="CT_NOT_INTERSECTED",e.EnumErrorCode=void 0,(Ce=e.EnumErrorCode||(e.EnumErrorCode={}))[Ce.EC_OK=0]="EC_OK",Ce[Ce.EC_UNKNOWN=-1e4]="EC_UNKNOWN",Ce[Ce.EC_NO_MEMORY=-10001]="EC_NO_MEMORY",Ce[Ce.EC_NULL_POINTER=-10002]="EC_NULL_POINTER",Ce[Ce.EC_LICENSE_INVALID=-10003]="EC_LICENSE_INVALID",Ce[Ce.EC_LICENSE_EXPIRED=-10004]="EC_LICENSE_EXPIRED",Ce[Ce.EC_FILE_NOT_FOUND=-10005]="EC_FILE_NOT_FOUND",Ce[Ce.EC_FILE_TYPE_NOT_SUPPORTED=-10006]="EC_FILE_TYPE_NOT_SUPPORTED",Ce[Ce.EC_BPP_NOT_SUPPORTED=-10007]="EC_BPP_NOT_SUPPORTED",Ce[Ce.EC_INDEX_INVALID=-10008]="EC_INDEX_INVALID",Ce[Ce.EC_CUSTOM_REGION_INVALID=-10010]="EC_CUSTOM_REGION_INVALID",Ce[Ce.EC_IMAGE_READ_FAILED=-10012]="EC_IMAGE_READ_FAILED",Ce[Ce.EC_TIFF_READ_FAILED=-10013]="EC_TIFF_READ_FAILED",Ce[Ce.EC_DIB_BUFFER_INVALID=-10018]="EC_DIB_BUFFER_INVALID",Ce[Ce.EC_PDF_READ_FAILED=-10021]="EC_PDF_READ_FAILED",Ce[Ce.EC_PDF_DLL_MISSING=-10022]="EC_PDF_DLL_MISSING",Ce[Ce.EC_PAGE_NUMBER_INVALID=-10023]="EC_PAGE_NUMBER_INVALID",Ce[Ce.EC_CUSTOM_SIZE_INVALID=-10024]="EC_CUSTOM_SIZE_INVALID",Ce[Ce.EC_TIMEOUT=-10026]="EC_TIMEOUT",Ce[Ce.EC_JSON_PARSE_FAILED=-10030]="EC_JSON_PARSE_FAILED",Ce[Ce.EC_JSON_TYPE_INVALID=-10031]="EC_JSON_TYPE_INVALID",Ce[Ce.EC_JSON_KEY_INVALID=-10032]="EC_JSON_KEY_INVALID",Ce[Ce.EC_JSON_VALUE_INVALID=-10033]="EC_JSON_VALUE_INVALID",Ce[Ce.EC_JSON_NAME_KEY_MISSING=-10034]="EC_JSON_NAME_KEY_MISSING",Ce[Ce.EC_JSON_NAME_VALUE_DUPLICATED=-10035]="EC_JSON_NAME_VALUE_DUPLICATED",Ce[Ce.EC_TEMPLATE_NAME_INVALID=-10036]="EC_TEMPLATE_NAME_INVALID",Ce[Ce.EC_JSON_NAME_REFERENCE_INVALID=-10037]="EC_JSON_NAME_REFERENCE_INVALID",Ce[Ce.EC_PARAMETER_VALUE_INVALID=-10038]="EC_PARAMETER_VALUE_INVALID",Ce[Ce.EC_DOMAIN_NOT_MATCH=-10039]="EC_DOMAIN_NOT_MATCH",Ce[Ce.EC_RESERVED_INFO_NOT_MATCH=-10040]="EC_RESERVED_INFO_NOT_MATCH",Ce[Ce.EC_LICENSE_KEY_NOT_MATCH=-10043]="EC_LICENSE_KEY_NOT_MATCH",Ce[Ce.EC_REQUEST_FAILED=-10044]="EC_REQUEST_FAILED",Ce[Ce.EC_LICENSE_INIT_FAILED=-10045]="EC_LICENSE_INIT_FAILED",Ce[Ce.EC_SET_MODE_ARGUMENT_ERROR=-10051]="EC_SET_MODE_ARGUMENT_ERROR",Ce[Ce.EC_LICENSE_CONTENT_INVALID=-10052]="EC_LICENSE_CONTENT_INVALID",Ce[Ce.EC_LICENSE_KEY_INVALID=-10053]="EC_LICENSE_KEY_INVALID",Ce[Ce.EC_LICENSE_DEVICE_RUNS_OUT=-10054]="EC_LICENSE_DEVICE_RUNS_OUT",Ce[Ce.EC_GET_MODE_ARGUMENT_ERROR=-10055]="EC_GET_MODE_ARGUMENT_ERROR",Ce[Ce.EC_IRT_LICENSE_INVALID=-10056]="EC_IRT_LICENSE_INVALID",Ce[Ce.EC_FILE_SAVE_FAILED=-10058]="EC_FILE_SAVE_FAILED",Ce[Ce.EC_STAGE_TYPE_INVALID=-10059]="EC_STAGE_TYPE_INVALID",Ce[Ce.EC_IMAGE_ORIENTATION_INVALID=-10060]="EC_IMAGE_ORIENTATION_INVALID",Ce[Ce.EC_CONVERT_COMPLEX_TEMPLATE_ERROR=-10061]="EC_CONVERT_COMPLEX_TEMPLATE_ERROR",Ce[Ce.EC_CALL_REJECTED_WHEN_CAPTURING=-10062]="EC_CALL_REJECTED_WHEN_CAPTURING",Ce[Ce.EC_NO_IMAGE_SOURCE=-10063]="EC_NO_IMAGE_SOURCE",Ce[Ce.EC_READ_DIRECTORY_FAILED=-10064]="EC_READ_DIRECTORY_FAILED",Ce[Ce.EC_MODULE_NOT_FOUND=-10065]="EC_MODULE_NOT_FOUND",Ce[Ce.EC_MULTI_PAGES_NOT_SUPPORTED=-10066]="EC_MULTI_PAGES_NOT_SUPPORTED",Ce[Ce.EC_FILE_ALREADY_EXISTS=-10067]="EC_FILE_ALREADY_EXISTS",Ce[Ce.EC_CREATE_FILE_FAILED=-10068]="EC_CREATE_FILE_FAILED",Ce[Ce.EC_IMGAE_DATA_INVALID=-10069]="EC_IMGAE_DATA_INVALID",Ce[Ce.EC_IMAGE_SIZE_NOT_MATCH=-10070]="EC_IMAGE_SIZE_NOT_MATCH",Ce[Ce.EC_IMAGE_PIXEL_FORMAT_NOT_MATCH=-10071]="EC_IMAGE_PIXEL_FORMAT_NOT_MATCH",Ce[Ce.EC_SECTION_LEVEL_RESULT_IRREPLACEABLE=-10072]="EC_SECTION_LEVEL_RESULT_IRREPLACEABLE",Ce[Ce.EC_AXIS_DEFINITION_INCORRECT=-10073]="EC_AXIS_DEFINITION_INCORRECT",Ce[Ce.EC_RESULT_TYPE_MISMATCH_IRREPLACEABLE=-10074]="EC_RESULT_TYPE_MISMATCH_IRREPLACEABLE",Ce[Ce.EC_PDF_LIBRARY_LOAD_FAILED=-10075]="EC_PDF_LIBRARY_LOAD_FAILED",Ce[Ce.EC_NO_LICENSE=-2e4]="EC_NO_LICENSE",Ce[Ce.EC_HANDSHAKE_CODE_INVALID=-20001]="EC_HANDSHAKE_CODE_INVALID",Ce[Ce.EC_LICENSE_BUFFER_FAILED=-20002]="EC_LICENSE_BUFFER_FAILED",Ce[Ce.EC_LICENSE_SYNC_FAILED=-20003]="EC_LICENSE_SYNC_FAILED",Ce[Ce.EC_DEVICE_NOT_MATCH=-20004]="EC_DEVICE_NOT_MATCH",Ce[Ce.EC_BIND_DEVICE_FAILED=-20005]="EC_BIND_DEVICE_FAILED",Ce[Ce.EC_INSTANCE_COUNT_OVER_LIMIT=-20008]="EC_INSTANCE_COUNT_OVER_LIMIT",Ce[Ce.EC_LICENSE_INIT_SEQUENCE_FAILED=-20009]="EC_LICENSE_INIT_SEQUENCE_FAILED",Ce[Ce.EC_TRIAL_LICENSE=-20010]="EC_TRIAL_LICENSE",Ce[Ce.EC_FAILED_TO_REACH_DLS=-20200]="EC_FAILED_TO_REACH_DLS",Ce[Ce.EC_LICENSE_CACHE_USED=-20012]="EC_LICENSE_CACHE_USED",Ce[Ce.EC_BARCODE_FORMAT_INVALID=-30009]="EC_BARCODE_FORMAT_INVALID",Ce[Ce.EC_QR_LICENSE_INVALID=-30016]="EC_QR_LICENSE_INVALID",Ce[Ce.EC_1D_LICENSE_INVALID=-30017]="EC_1D_LICENSE_INVALID",Ce[Ce.EC_PDF417_LICENSE_INVALID=-30019]="EC_PDF417_LICENSE_INVALID",Ce[Ce.EC_DATAMATRIX_LICENSE_INVALID=-30020]="EC_DATAMATRIX_LICENSE_INVALID",Ce[Ce.EC_CUSTOM_MODULESIZE_INVALID=-30025]="EC_CUSTOM_MODULESIZE_INVALID",Ce[Ce.EC_AZTEC_LICENSE_INVALID=-30041]="EC_AZTEC_LICENSE_INVALID",Ce[Ce.EC_PATCHCODE_LICENSE_INVALID=-30046]="EC_PATCHCODE_LICENSE_INVALID",Ce[Ce.EC_POSTALCODE_LICENSE_INVALID=-30047]="EC_POSTALCODE_LICENSE_INVALID",Ce[Ce.EC_DPM_LICENSE_INVALID=-30048]="EC_DPM_LICENSE_INVALID",Ce[Ce.EC_FRAME_DECODING_THREAD_EXISTS=-30049]="EC_FRAME_DECODING_THREAD_EXISTS",Ce[Ce.EC_STOP_DECODING_THREAD_FAILED=-30050]="EC_STOP_DECODING_THREAD_FAILED",Ce[Ce.EC_MAXICODE_LICENSE_INVALID=-30057]="EC_MAXICODE_LICENSE_INVALID",Ce[Ce.EC_GS1_DATABAR_LICENSE_INVALID=-30058]="EC_GS1_DATABAR_LICENSE_INVALID",Ce[Ce.EC_GS1_COMPOSITE_LICENSE_INVALID=-30059]="EC_GS1_COMPOSITE_LICENSE_INVALID",Ce[Ce.EC_DOTCODE_LICENSE_INVALID=-30061]="EC_DOTCODE_LICENSE_INVALID",Ce[Ce.EC_PHARMACODE_LICENSE_INVALID=-30062]="EC_PHARMACODE_LICENSE_INVALID",Ce[Ce.EC_CHARACTER_MODEL_FILE_NOT_FOUND=-40100]="EC_CHARACTER_MODEL_FILE_NOT_FOUND",Ce[Ce.EC_TEXT_LINE_GROUP_LAYOUT_CONFLICT=-40101]="EC_TEXT_LINE_GROUP_LAYOUT_CONFLICT",Ce[Ce.EC_TEXT_LINE_GROUP_REGEX_CONFLICT=-40102]="EC_TEXT_LINE_GROUP_REGEX_CONFLICT",Ce[Ce.EC_QUADRILATERAL_INVALID=-50057]="EC_QUADRILATERAL_INVALID",Ce[Ce.EC_PANORAMA_LICENSE_INVALID=-70060]="EC_PANORAMA_LICENSE_INVALID",Ce[Ce.EC_RESOURCE_PATH_NOT_EXIST=-90001]="EC_RESOURCE_PATH_NOT_EXIST",Ce[Ce.EC_RESOURCE_LOAD_FAILED=-90002]="EC_RESOURCE_LOAD_FAILED",Ce[Ce.EC_CODE_SPECIFICATION_NOT_FOUND=-90003]="EC_CODE_SPECIFICATION_NOT_FOUND",Ce[Ce.EC_FULL_CODE_EMPTY=-90004]="EC_FULL_CODE_EMPTY",Ce[Ce.EC_FULL_CODE_PREPROCESS_FAILED=-90005]="EC_FULL_CODE_PREPROCESS_FAILED",Ce[Ce.EC_ZA_DL_LICENSE_INVALID=-90006]="EC_ZA_DL_LICENSE_INVALID",Ce[Ce.EC_AAMVA_DL_ID_LICENSE_INVALID=-90007]="EC_AAMVA_DL_ID_LICENSE_INVALID",Ce[Ce.EC_AADHAAR_LICENSE_INVALID=-90008]="EC_AADHAAR_LICENSE_INVALID",Ce[Ce.EC_MRTD_LICENSE_INVALID=-90009]="EC_MRTD_LICENSE_INVALID",Ce[Ce.EC_VIN_LICENSE_INVALID=-90010]="EC_VIN_LICENSE_INVALID",Ce[Ce.EC_CUSTOMIZED_CODE_TYPE_LICENSE_INVALID=-90011]="EC_CUSTOMIZED_CODE_TYPE_LICENSE_INVALID",Ce[Ce.EC_LICENSE_WARNING=-10076]="EC_LICENSE_WARNING",Ce[Ce.EC_BARCODE_READER_LICENSE_NOT_FOUND=-30063]="EC_BARCODE_READER_LICENSE_NOT_FOUND",Ce[Ce.EC_LABEL_RECOGNIZER_LICENSE_NOT_FOUND=-40103]="EC_LABEL_RECOGNIZER_LICENSE_NOT_FOUND",Ce[Ce.EC_DOCUMENT_NORMALIZER_LICENSE_NOT_FOUND=-50058]="EC_DOCUMENT_NORMALIZER_LICENSE_NOT_FOUND",Ce[Ce.EC_CODE_PARSER_LICENSE_NOT_FOUND=-90012]="EC_CODE_PARSER_LICENSE_NOT_FOUND",e.EnumGrayscaleEnhancementMode=void 0,(Ae=e.EnumGrayscaleEnhancementMode||(e.EnumGrayscaleEnhancementMode={}))[Ae.GEM_SKIP=0]="GEM_SKIP",Ae[Ae.GEM_AUTO=1]="GEM_AUTO",Ae[Ae.GEM_GENERAL=2]="GEM_GENERAL",Ae[Ae.GEM_GRAY_EQUALIZE=4]="GEM_GRAY_EQUALIZE",Ae[Ae.GEM_GRAY_SMOOTH=8]="GEM_GRAY_SMOOTH",Ae[Ae.GEM_SHARPEN_SMOOTH=16]="GEM_SHARPEN_SMOOTH",Ae[Ae.GEM_REV=-2147483648]="GEM_REV",e.EnumGrayscaleTransformationMode=void 0,(Te=e.EnumGrayscaleTransformationMode||(e.EnumGrayscaleTransformationMode={}))[Te.GTM_SKIP=0]="GTM_SKIP",Te[Te.GTM_INVERTED=1]="GTM_INVERTED",Te[Te.GTM_ORIGINAL=2]="GTM_ORIGINAL",Te[Te.GTM_AUTO=4]="GTM_AUTO",Te[Te.GTM_REV=-2147483648]="GTM_REV",e.EnumImageTagType=void 0,(Ne=e.EnumImageTagType||(e.EnumImageTagType={}))[Ne.ITT_FILE_IMAGE=0]="ITT_FILE_IMAGE",Ne[Ne.ITT_VIDEO_FRAME=1]="ITT_VIDEO_FRAME",e.EnumPDFReadingMode=void 0,(Re=e.EnumPDFReadingMode||(e.EnumPDFReadingMode={}))[Re.PDFRM_VECTOR=1]="PDFRM_VECTOR",Re[Re.PDFRM_RASTER=2]="PDFRM_RASTER",Re[Re.PDFRM_REV=-2147483648]="PDFRM_REV",e.EnumRasterDataSource=void 0,(Le=e.EnumRasterDataSource||(e.EnumRasterDataSource={}))[Le.RDS_RASTERIZED_PAGES=0]="RDS_RASTERIZED_PAGES",Le[Le.RDS_EXTRACTED_IMAGES=1]="RDS_EXTRACTED_IMAGES";const De={IRUT_NULL:BigInt(0),IRUT_COLOUR_IMAGE:BigInt(1),IRUT_SCALED_DOWN_COLOUR_IMAGE:BigInt(2),IRUT_GRAYSCALE_IMAGE:BigInt(4),IRUT_TRANSOFORMED_GRAYSCALE_IMAGE:BigInt(8),IRUT_ENHANCED_GRAYSCALE_IMAGE:BigInt(16),IRUT_PREDETECTED_REGIONS:BigInt(32),IRUT_BINARY_IMAGE:BigInt(64),IRUT_TEXTURE_DETECTION_RESULT:BigInt(128),IRUT_TEXTURE_REMOVED_GRAYSCALE_IMAGE:BigInt(256),IRUT_TEXTURE_REMOVED_BINARY_IMAGE:BigInt(512),IRUT_CONTOURS:BigInt(1024),IRUT_LINE_SEGMENTS:BigInt(2048),IRUT_TEXT_ZONES:BigInt(4096),IRUT_TEXT_REMOVED_BINARY_IMAGE:BigInt(8192),IRUT_CANDIDATE_BARCODE_ZONES:BigInt(16384),IRUT_LOCALIZED_BARCODES:BigInt(32768),IRUT_SCALED_UP_BARCODE_IMAGE:BigInt(65536),IRUT_DEFORMATION_RESISTED_BARCODE_IMAGE:BigInt(1<<17),IRUT_COMPLEMENTED_BARCODE_IMAGE:BigInt(1<<18),IRUT_DECODED_BARCODES:BigInt(1<<19),IRUT_LONG_LINES:BigInt(1<<20),IRUT_CORNERS:BigInt(1<<21),IRUT_CANDIDATE_QUAD_EDGES:BigInt(1<<22),IRUT_DETECTED_QUADS:BigInt(1<<23),IRUT_LOCALIZED_TEXT_LINES:BigInt(1<<24),IRUT_RECOGNIZED_TEXT_LINES:BigInt(1<<25),IRUT_NORMALIZED_IMAGES:BigInt(1<<26),IRUT_SHORT_LINES:BigInt(1<<27),IRUT_RAW_TEXT_LINES:BigInt(1<<28),IRUT_ALL:BigInt("0xFFFFFFFFFFFFFFFF")};var Oe,le;e.EnumRegionObjectElementType=void 0,(Oe=e.EnumRegionObjectElementType||(e.EnumRegionObjectElementType={}))[Oe.ROET_PREDETECTED_REGION=0]="ROET_PREDETECTED_REGION",Oe[Oe.ROET_LOCALIZED_BARCODE=1]="ROET_LOCALIZED_BARCODE",Oe[Oe.ROET_DECODED_BARCODE=2]="ROET_DECODED_BARCODE",Oe[Oe.ROET_LOCALIZED_TEXT_LINE=3]="ROET_LOCALIZED_TEXT_LINE",Oe[Oe.ROET_RECOGNIZED_TEXT_LINE=4]="ROET_RECOGNIZED_TEXT_LINE",Oe[Oe.ROET_DETECTED_QUAD=5]="ROET_DETECTED_QUAD",Oe[Oe.ROET_NORMALIZED_IMAGE=6]="ROET_NORMALIZED_IMAGE",Oe[Oe.ROET_SOURCE_IMAGE=7]="ROET_SOURCE_IMAGE",Oe[Oe.ROET_TARGET_ROI=8]="ROET_TARGET_ROI",e.EnumSectionType=void 0,(le=e.EnumSectionType||(e.EnumSectionType={}))[le.ST_NULL=0]="ST_NULL",le[le.ST_REGION_PREDETECTION=1]="ST_REGION_PREDETECTION",le[le.ST_BARCODE_LOCALIZATION=2]="ST_BARCODE_LOCALIZATION",le[le.ST_BARCODE_DECODING=3]="ST_BARCODE_DECODING",le[le.ST_TEXT_LINE_LOCALIZATION=4]="ST_TEXT_LINE_LOCALIZATION",le[le.ST_TEXT_LINE_RECOGNITION=5]="ST_TEXT_LINE_RECOGNITION",le[le.ST_DOCUMENT_DETECTION=6]="ST_DOCUMENT_DETECTION",le[le.ST_DOCUMENT_NORMALIZATION=7]="ST_DOCUMENT_NORMALIZATION",e.CoreModule=ae,e.EnumIntermediateResultUnitType=De,e.ImageSourceAdapter=V,e._getNorImageData=F,e._isArc=N,e._isContour=R,e._isDSImageData=L,e._isDSRect=D,e._isImageTag=O,e._isLineSegment=l,e._isPoint=m,e._isPolygon=c,e._isQuad=u,e._isRect=g,e._saveToFile=async(e,E,_)=>await new Promise((async(t,I)=>{try{const I=E.split(".");let r=I[I.length-1];const n=await f(`image/${r}`,e);I.length<=1&&(r="png");const o=new File([n],E,{type:`image/${r}`});if(_){const e=URL.createObjectURL(o),_=document.createElement("a");_.href=e,_.download=E,_.click()}return t(o)}catch(e){return I()}})),e._toBlob=f,e._toCanvas=d,e._toImage=(e,E)=>{L(E)&&(E=F(E));const _=d(E);let t=new Image,I=_.toDataURL(e);return t.src=I,t},e.autoDiscoveryPaths=Ie,e.checkIsLink=function(e){return/^(https:\/\/www\.|http:\/\/www\.|https:\/\/|http:\/\/)|^[a-zA-Z0-9]{2,}(\.[a-zA-Z0-9]{2,})(\.[a-zA-Z0-9]{2,})?/.test(e)},e.compareVersion=(e,E)=>{let _=e.split("."),t=E.split(".");for(let e=0;e<_.length&&e<t.length;++e){let E=_[e],I=t[e];if(E===I)continue;let r=parseInt(_[e]),n=parseInt(t[e]);return r===n||Number.isNaN(r)&&Number.isNaN(n)?E<I?-1:1:r<n||Number.isNaN(r)&&Number.isInteger(n)?-1:1}return _.length===t.length?0:_.length<t.length?-1:1},e.doOrWaitAsyncDependency=$,e.getNextTaskID=q,e.handleEngineResourcePaths=S,e.innerVersions=te,e.isArc=N,e.isContour=R,e.isDSImageData=L,e.isDSRect=D,e.isImageTag=O,e.isLineSegment=l,e.isObject=T,e.isPoint=m,e.isPolygon=c,e.isQuad=u,e.isRect=g,e.loadWasm=oe,e.mapAsyncDependency=Q,e.mapPackageRegister={},e.mapTaskCallBack=ee,e.requestResource=async function(e,E){return await new Promise(((_,t)=>{let I=new XMLHttpRequest;I.open("GET",e,!0),I.responseType=E,I.send(),I.onloadend=async()=>{I.status<200||I.status>=300?t(e+" "+I.status):_(I.response)},I.onerror=()=>{t(new Error("Network Error: "+I.statusText))}}))},e.setBDebug=_e,e.setOnLog=Ee,e.waitAsyncDependency=J,e.workerAutoResources=re}));
